%define	major 0
%define libname	%mklibname opennet %{major}
%define develname %mklibname -d opennet

Summary:	Libopennet allows you to open_net() files the same way you open() them now
Name:		libopennet
Version:	0.9.9
Release:	%mkrel 12
Group:		System/Libraries
License:	LGPL
URL:		https://www.rkeene.org/oss/libopennet/
Source0:	https://www.rkeene.org/files/oss/libopennet/%{name}-%{version}.tar.bz2
Patch0:		libopennet-0.9.3-DESTDIR.diff

%description
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

%package -n	%{libname}
Summary:	Libopennet allows you to open_net() files the same way you open() them now
Group:          System/Libraries

%description -n	%{libname}
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

%package -n	%{develname}
Summary:	Library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{_lib}opennet0-devel < %{version}-%{release}

%description -n	%{develname}
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

This package contains the %{name} library and its header files.

%prep
%setup -q
%autopatch -p0

%build
# fix soname and shared library build detection
export SHOBJFLAGS="-Wl,-soname=%{name}.so.%{major} -shared -rdynamic -fPIC -D_REENTRANT"
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc ChangeLog LICENSE README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.9.9-12.mga10
+ Revision: 2195760
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.9.9-11.mga9
+ Revision: 1792897
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 0.9.9-10.mga8
+ Revision: 1616823
- fix build
- revert arm fix

* Thu Feb 13 2020 umeabot <umeabot> 0.9.9-9.mga8
+ Revision: 1514347
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-8.mga7
+ Revision: 1299071
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.9.9-7.mga7
+ Revision: 1235751
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 0.9.9-6.mga6
+ Revision: 930863
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 748650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-4.mga5
+ Revision: 681682
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 507233
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 357932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 307517
- add back .a file
- cleanup spec

* Sat Jan 15 2011 blino <blino> 0.9.9-1.mga1
+ Revision: 18749
- fix setting SHOBJFLAGS so that configure does not fail detected shared library build
- remove autoreconf, it is not helping
- autoreconf so that configure can detect shared libraries can be built
- imported package libopennet


* Tue Jan 08 2008 Emmanuel Andry <eandry@mandriva.org> 0.9.9-1mdv2008.1
+ Revision: 146788
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdv2008.0
+ Revision: 18568
- Import libopennet



* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- initial Mandriva package
